
QGIS Application - Bug report #16227

R scripts won't run

2017-02-23 07:56 AM - matteo ghetta

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24137

Description

Hi,

I'm trying to run some simple R scripts in QGIS3. The scripts work fine in QGIS 2.x

A simple script could be:

##Statistic=group

##Layer=vector

##Variable=Field Layer

##showplots

hist(Layer[[Variable]])

But if so, Processing opens the window with nothing that can be done (see screenshot_1)

Bu deleting the first row the window only shows the vector layer and not the vector field (see screenshot_2):

##Layer=vector

##Variable=Field Layer

##showplots

hist(Layer[[Variable]])

Is there some change to the R-Processing syntax?

Associated revisions

Revision b500ab50 - 2017-03-02 01:43 PM - Victor Olaya

[processing] fixed reading script description for R algorithms

fixes #16227

History

#1 - 2017-03-02 04:36 AM - Victor Olaya

- Status changed from Open to Closed

Fixed in changeset commit:"b500ab506595e2efa12fce7f67cbbfd620403322".
#2 - 2017-05-01 10:58 AM - Giovanni Manghi

- Regression? set to No

#3 - 2017-05-01 11:01 AM - Giovanni Manghi

- Easy fix? set to No

#4 - 2017-05-01 11:04 AM - Giovanni Manghi

Some providers are being removed from QGIS/Processing (will be available as plugin) and so are their categories in the bug tracker. To not leave them

orphaned of a category they are being reassigned to processing/core.

#5 - 2017-05-01 11:06 AM - Giovanni Manghi

- Category changed from 124 to Processing/Core
